function [B] = betaSIR2node(X,theta)

%diffusion function for 2 node SIR with 
%X_t=(S_1,t , I_1,t , S_2,t , I_2,t )
%theta=(beta, gamma, alpha12, alpha21)

%S_1,t=X(1)
%I_1,t=X(2)
%S_2,t=X(3)
%I_2,t=X(4)
%beta=theta(1)
%gamma=theta(2)
%alpha12=theta(3)
%alpha21=theta(4)

cov1=-theta(1)*(X(2)+theta(4)*X(4))*X(1);
var11=-cov1;
var12=-cov1+theta(2)*X(2);
cov2=-theta(1)*(X(4)+theta(3)*X(2))*X(3);
var21=-cov2;
var22=-cov2+theta(2)*X(4);

B=[var11 cov1 0 0 ; cov1 var12 0 0 ; 0 0 var21 cov2; 0 0 cov2 var22];

end 
